Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1269 - startx dies with font error until xfs is restarted
Summary: startx dies with font error until xfs is restarted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-21 19:45 UTC by Chris Runge
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-19 00:33:22 UTC


Attachments (Terms of Use)

Description Chris Runge 1999-02-21 19:45:29 UTC
RHL 5.8.1 (Beta 1)

Upgraded 5.8 to 5.8.1, created a normal user, logged in as
that user, and typed startx.  This error appeared:


_FontTransSocketINETConnect: Can't connect: errno = 111
failed to set default font path 'tcp/localhost:7100'
Fatal server error:
could not open default font 'fixed'

When reporting a problem related to a server crash, please
send the full server output, not just the last messages

X connection to :0.0 broken (explicit kill or server
shutdown).


as root I did this:
/etc/rc.d/init.d/xfs restart


I can then do a startx again and it works fine.

NOTE: this happened immediately after the upgrade and after
a reboot (perhaps xfs is not initializing properly upon
boot?)

Comment 1 Cristian Gafton 1999-03-19 00:33:59 UTC
xfs was not starting by default on boot. Should be fixed now in the
beta release.

Comment 2 Matthew Miller 2000-04-19 00:37:59 UTC
I'm still seeing this occasionally on 6.2 final systems. (Fresh installs.) I
can't figure it out or make it reproducable, unfortunately, but this IS still a
problem. :(


Note You need to log in before you can comment on or make changes to this bug.